Package com.fasterxml.jackson.datatype.jsr310.ser.key

# Class Jsr310NullKeySerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<Object>
com.fasterxml.jackson.datatype.jsr310.ser.key.Jsr310NullKeySerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

@Deprecated public class Jsr310NullKeySerializer extends com.fasterxml.jackson.databind.JsonSerializer<Object>
Deprecated.
This class is to be used in case `null` keys are needed to be serialized in a `Map` with Java 8 temporal keys. By default the `null` key is not supported by jackson, the serializer needs to be registered manually.

Since:
  2.6
Author:
  Zoltan Kiss

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NULL_KEY`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`Jsr310NullKeySerializer()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(Object value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`
Deprecated.

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NULL_KEY

public static final String NULL_KEY
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### Jsr310NullKeySerializer

public Jsr310NullKeySerializer()
Deprecated.

## Method Details

### serialize

public void serialize(Object value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers) throws IOException
Deprecated.

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<Object>`
Throws:
  `IOException`